Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7256 - /usr/include/ndbm.h missing
Summary: /usr/include/ndbm.h missing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-23 16:06 UTC by Andreas Luik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-05 00:22:31 UTC


Attachments (Terms of Use)

Description Andreas Luik 1999-11-23 16:06:56 UTC
The include file <ndbm.h> (/usr/include/ndbm.h) is missing from
RedHat 6.1.  It was available on RedHat 5.1 in glibc-devel-2.0.7-29.
Its absence makes it more difficult to compile programs which
use NDBM, because the <ndbm.h> include file is kind of a
"standard" one.

Note: ndbm.h header files are available in several other places:

taylor:~(32)> locate ndbm.h
/usr/i386-glibc20-linux/include/ndbm.h
/usr/include/db1/ndbm.h
/usr/include/gdbm/ndbm.h

Probably the easies fix is to add a symbolic link from
/usr/include/ndbm.h to /usr/include/db1/ndbm.h.

--
Andreas Luik         E-Mail: luik@orthogon.de / luik@isa.de
Orthogon GmbH        WWW:    http://www.orthogon.de/~luik
Sys/Net Admin        PGP:    E2 6A 41 70 67 1E 0B 68  94 0D 9E 83 95 16 AF
59

Comment 1 Cristian Gafton 2000-01-05 00:22:59 UTC
use
   #include <db1/ndbm.h>

This is because glibc 2.1 switches to db2 as the default DB library and NDBM is
really a db1-type interface.


Note You need to log in before you can comment on or make changes to this bug.